/* _______________________________________________________


                             Working With Loops Demo
                               Modified for C# 2010
                                       R. Kessler
                                       10/2/2011

 _______________________________________________________

 This program shows you a bunch of loops. It is a good reference for all the type of
 While & Do While loops as well as the For loop structure.
 As you choose an item, the code for that event is displayed in the list box for you.
 Make sure you understand these code snippetts....loops are used everywhere in programming
 in all languages!

 Updated 10/2/2011
*/


using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace Loops_Demo
{
    public partial class frmMain : Form
    {
        
        int Count = 0;      //used for how many times they enter their PIN in the Counting test


        public frmMain()
             
        {
            InitializeComponent();
        }

        //__________________________________________________________________________________________

        private void optCount5_CheckedChanged(object sender, EventArgs e)
        {

            Reset();
            
            for (short x = 1; x < 6 ; x++)
            {
                lbAnswer.Items.Add(x);                     //show break & continue
                
                ShowCode("Count to 5.txt");
            }
            
        }
        //__________________________________________________________________________________________

        private void optCountBy2_CheckedChanged(object sender, EventArgs e)
        {

            Reset();

            for (int x = 2; x <= 30; x += 2)    //count from 2 to 30 by 2's
            {
                lbAnswer.Items.Add(x);

                ShowCode("Countby2.txt");
            }
        }

        //__________________________________________________________________________________________

        private void optBack_CheckedChanged(object sender, EventArgs e)
        {

            Reset();
            //loop runs backwards as long as x > 0
            for (int x = 30; x > 0; x --)                //could also say x -= 1
            {
                lbAnswer.Items.Add(x);

                ShowCode("Backwards.txt");
            }



        }
        //_____________________________________________________________________________________
        

        private void optNested_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            for (int x = 1; x<=5; x ++)
            {
                for (int y = 1; y < 4 ; y ++)
                {
                    lbAnswer.Items.Add("     InnerLoop");
                }
                lbAnswer.Items.Add("OutterLoop");
            }
            ShowCode("Nested.txt");
        }

        //_____________________________________________________________________________________

        private void rdoWhile_CheckedChanged(object sender, EventArgs e)
        {

            Reset();

            int x = 1;
            int total = 0;

            while (x < 10)
            {
                total += x;
                lbAnswer.Items.Add(x);
                
                x++;

            }
            lbAnswer.Items.Add("     ");
            lbAnswer.Items.Add("Total ====> " + total);
            ShowCode("WhileLoop.txt");
        }
        //_____________________________________________________________________________________

        private void rdoDoWhile_CheckedChanged(object sender, EventArgs e)
        {
            Reset();
            int x = 1;
            int total = 0;

            do
            {
                lbAnswer.Items.Add(x);
                total += x;
                x++;

            }
            while (x <= 15);

            lbAnswer.Items.Add("     ");
            lbAnswer.Items.Add("Total ====> " + total);
            ShowCode("Do-WhileLoop.txt");
        
        }

        //_____________________________________________________________________________________

        private void btnATM(object sender, EventArgs e)
        {
            
            Reset();
            
            string securityCode = "RON";
            string customerPIN = txtPIN.Text.ToUpper();
            
            if (securityCode == customerPIN)
                {
                    MessageBox.Show("Welcome to Ron's ATM!", "Ron's ATM", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    lbAnswer.Items.Add("Welcome " + securityCode);
                }
            else
                {
                    Count++;
                    if (Count == 3)
                    {
                        MessageBox.Show("You are a crook. We are keeping your card!", "Ron's ATM", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        this.Close();
                    }
                    else
                    {
                        MessageBox.Show("That is an incorrect PIN", "Ron's ATM", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        txtPIN.Text = string.Empty;
                        txtPIN.Focus();
                    }
            }  
        
                     
             ShowCode("ATM.txt");

        }

       //_____________________________________________________________________________________

        private void ShowCode(string textFile)
        {


            try
            {
                lbCode.Items.Clear();
                StreamReader myReader =
                       new StreamReader(new FileStream(textFile, FileMode.Open, FileAccess.Read));

                while (myReader.Peek() != -1)
                {
                    string dataFromFile = myReader.ReadLine();
                    lbCode.Items.Add(dataFromFile);
                }
                myReader.Close();
            }
            catch (IOException Err)
            {
                MessageBox.Show(Err.Message, "I cannot Read the File");
            }      
                    
        }
        
        //__________________________________________________________________________________________
        private void Reset()
        {

            lbAnswer.Items.Clear();
            lbCode.Items.Clear();
        
        }


        //________________________________________________________________________________________
        private void btnClear_Click(object sender, EventArgs e)
        {
            Reset();
        }
        //________________________________________________________________________________________
        private void btnQuit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

      

      

     

      
        //__________________________________________________________________________________________

    }

}